org.eclipse.graphiti.tb

## Class SelectionInfoImpl

- java.lang.Object
- - org.eclipse.graphiti.tb.SelectionInfoImpl

All Implemented Interfaces:
  ISelectionInfo

Direct Known Subclasses:
  ConnectionSelectionInfoImpl, ShapeSelectionInfoImpl

    public abstract class SelectionInfoImpl
    extends java.lang.Object
    implements ISelectionInfo

The Class SelectionInfoImpl.

### Constructor Summary

Constructors
Constructor and Description
`SelectionInfoImpl()` Creates a new `SelectionInfoImpl`.

### Method Summary

All Methods Instance Methods Concrete Methods
`IColorConstant` `getColor()` Gets the color.
`IColorConstant` `getHoverColor()` Gets the hover color.
`IColorConstant` `getHoverColorParentSelected()` Gets the hover color for a shape whose parent is selected.
`LineStyle` `getLineStyle()` Gets the line style.
`void` `setColor(IColorConstant color)` Set the color of the selection.
`void` `setHoverColor(IColorConstant hoverColor)` Sets the hover color.
`void` `setHoverColorParentSelected(IColorConstant hoverColor)` Sets the hover color for shapes whose parent is selected.
`void` `setLineStyle(LineStyle lineStyle)` Set the line style of the selection.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SelectionInfoImpl

    public SelectionInfoImpl()

Creates a new `SelectionInfoImpl`.

### Method Detail

#### getColor

    public IColorConstant getColor()

Description copied from interface: `ISelectionInfo`
Gets the color.

Specified by:
  `getColor` in interface `ISelectionInfo`
Returns:
  the color of the selection border

#### getLineStyle

    public LineStyle getLineStyle()

Description copied from interface: `ISelectionInfo`
Gets the line style.

Specified by:
  `getLineStyle` in interface `ISelectionInfo`
Returns:
  the line style of the selection

#### setLineStyle

    public void setLineStyle(LineStyle lineStyle)

Description copied from interface: `ISelectionInfo`
Set the line style of the selection.

Specified by:
  `setLineStyle` in interface `ISelectionInfo`
Parameters:
  `lineStyle` - the line style

#### setColor

    public void setColor(IColorConstant color)

Description copied from interface: `ISelectionInfo`
Set the color of the selection.

Specified by:
  `setColor` in interface `ISelectionInfo`
Parameters:
  `color` - the color

#### getHoverColor

    public IColorConstant getHoverColor()

Description copied from interface: `ISelectionInfo`
Gets the hover color.

Specified by:
  `getHoverColor` in interface `ISelectionInfo`
Returns:
  the on hover color

#### setHoverColor

    public void setHoverColor(IColorConstant hoverColor)

Description copied from interface: `ISelectionInfo`
Sets the hover color.

Specified by:
  `setHoverColor` in interface `ISelectionInfo`
Parameters:
  `hoverColor` - the color

#### getHoverColorParentSelected

    public IColorConstant getHoverColorParentSelected()

Description copied from interface: `ISelectionInfo`
Gets the hover color for a shape whose parent is selected.

Specified by:
  `getHoverColorParentSelected` in interface `ISelectionInfo`
Returns:
  the hover color

#### setHoverColorParentSelected

    public void setHoverColorParentSelected(IColorConstant hoverColor)

Description copied from interface: `ISelectionInfo`
Sets the hover color for shapes whose parent is selected.

Specified by:
  `setHoverColorParentSelected` in interface `ISelectionInfo`
Parameters:
  `hoverColor` - the color